/**/
call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs
/***************************************************/
/* Deregister the existing Object class definition */
/* from the system if one exists                   */
/***************************************************/
call SysDeregisterObjectClass 'WSFILE'
call SysDeregisterObjectClass 'WSFOLDER'
call SysDeregisterObjectClass 'EXAMPLE'
/********************************************/
/* Register the new object class definition */
/********************************************/
call SysRegisterObjectClass 'WSFILE',   'C:\OS2\DLL\WSFILE.DLL'
call SysRegisterObjectClass 'WSFOLDER', 'C:\OS2\DLL\WSFOLDER.DLL'
/**********************************************************/
/* Create new instance of the object class on the desktop */
/**********************************************************/
if SysCreateObject("WPFolder", "Example", "<WP_DESKTOP>",,
                               "OBJECTID=<EXAMPLE>") then
   say 'Example Folder successfully installed.'
else
   say 'Error, Example Folder not installed properly.'

if SysCreateObject("WSFILE","Workplace Shell File Example","<EXAMPLE>",,
                            "OBJECTID=<WSFILE>") then
   say 'Workplace Shell File Example successfully installed.'
else
   say 'Error, Workplace Shell File Example not installed properly.'

if SysCreateObject("WSFOLDER","Workplace Shell Folder Example","<EXAMPLE>",,
                              "OBJECTID=<WSFOLDER>") then
   say 'Workplace Shell Folder Example successfully installed.'
else
   say 'Error, Workplace Shell Folder Example not installed properly.'
